function [correct potential] = ispdf(p)
%[correct potential] = ispdf(p)

correct = 1; 
potential = 1;
if(~isempty(find(p<0)))
    correct = 0; 
    potential = 0;
end

if(~isempty(find(isinf(p))))
    correct = false; potential = false;
end

if (abs(sum(p(:))-1)>10e-10)
    correct = false;
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%